console.log('what up');

// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { logMe } from './myMessage';

// This line uses D3 to set the text of the message div.
logMe();

function foo() {
  const svg = select('svg');
  const height = svg.attr('height');

  const data = [
    {
      name: 'inky',
      x: 155,
      y: 386,
      r: 20,
      fill: '#0000FF',
    },
    {
      name: 'blinky',
      x: 340,
      y: 238,
      r: 52,
      fill: '#FF0AAE',
    },
    {
      name: 'clyde',
      x: 531,
      y: 151,
      r: 20,
      fill: '#00FF88',
    },
    { x: 482, y: 307, r: 147, fill: '#7300FF' },
    { x: 781, y: 91, r: 61, fill: '#0FFB33' },
    { x: 668, y: 229, r: 64, fill: '#D400FF' },
    { x: 316, y: 390, r: 85, fill: '#0FF0FF' },
    ,
  ];

  svg
    .selectAll('circle')
    .data(data)
    .join('circle')
    //(d) is the data item I'm building it from, in this case a circle
    .attr('cx', (d) => d.x)
    .attr('cy', (d) => d.y)
    .attr('r', (d) => d.r)
    .attr('fill', (d) => d.fill)
    .attr('opacity', 730 / 1000)
    .on('click', (event, d) => {
      alert(d.name);
    });
}

foo();
